include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_simple_library("libprof-${FXSDK_PLATFORM}.a" include/libprof.h
  "PROF_VERSION" PATH_VAR PROF_PATH VERSION_VAR PROF_VERSION)

find_package_handle_standard_args(LibProf
  REQUIRED_VARS PROF_PATH PROF_VERSION
  VERSION_VAR PROF_VERSION)

if(LibProf_FOUND)
  add_library(LibProf::LibProf UNKNOWN IMPORTED)
  set_target_properties(LibProf::LibProf PROPERTIES
    IMPORTED_LOCATION "${PROF_PATH}"
    INTERFACE_LINK_OPTIONS -lprof-${FXSDK_PLATFORM})
endif()
